body {
    font-family: 'Poppins', sans-serif;
    position: relative;
    background-size: 200%;
    background-image: linear-gradient(145.8deg, #676CDB -31.84%, #191A22 29.16%, #18191F 50.97%, #17181C 69.29%,  #6368D1 121.31%);
    animation: 15s gradient infinite;
}

@keyframes gradient {
    0% {
        background-position: left;
    }

    50% {
        background-position: right;
    }

    100% {
        background-position: left;
    }
}

li {
    display: list-item;
    font-size: 16px;
    text-transform: uppercase;
    text-align: -webkit-match-parent;
}

a {
    text-decoration: none;
    color: #fff;
}

h4 {
    font-style: normal;
    font-weight: 500;
    font-size: 18px !important;
    line-height: 21px;
    color: #C6CED5;
    margin-bottom: 0 !important;
}

.wrapper {
    max-width: 1240px;
}

.label-h1 {
    font-style: normal;
    font-weight: 600;
    font-size: 60px;
    color: #6E40C9;
}

.label-p {
    max-width: 499px;
    font-style: normal;
    font-weight: bold;
    font-size: 18px;
    line-height: 21px;
    color: #6E40C9;
}

/* NAVBAR SECTION START */

.navbar {
    box-shadow: 0 0 10px rgb(116, 103, 119);
    background: linear-gradient(92.99deg, #3D4076 -11.77%, #181A1F 33.01%);
}

/* PARALLAX */

.parallax-wrap {
    font-family: 'Poppins', sans-serif;
    padding-top: 4em;
}

.parallax {
    position: relative;
    width: 100%;
    min-height:100vh;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}

.parallax h1 {
    position: relative;
    color: #fff;
    font-size: 5em;
    font-weight: bold;
}

.parallax h3 {
    position: relative;
    color: #C6CED5;
    font-size: 2em;
}

.btn {
	background-color:transparent !important;
	color: #fff !important;
	text-transform: uppercase;
	font-weight: 600;
	border: 2px solid #6E40C9 !important;
	transition: all 0.2s ease-in-out;
}

.btn:hover {
	background-color: #6E40C9 !important;
	color: black !important;
}

/* PROJECTS SECTION */

.projects__label {
    max-width: 33.75vw;
    margin-left: 61%;
}

.projects__label p {
    margin-left: 3rem;
}

.right {
    margin-top: 100px;
}

.card-wrap {
    margin: 2rem;
    transform-style: preserve-3d;
    transform: perspective(100rem);
    cursor: pointer;
    position: relative;
    display: flex;
    justify-content: space-around;
    margin-bottom: 100px;
}

.card__body--active {
    transition: none;
}

.card__body {
    --rX: 0;
    --rY: 0;
    position: relative;
    width: 520px;
    height: 260px;
    padding: 2rem 1rem;
    display: flex;
    align-items: flex-end;
    border-radius: 10px;
    background: #29313D;
    transform: rotateX(calc(var(--rX) * 1deg)) rotateY(calc(var(--rY) * 1deg));
    box-shadow: 20px 20px 50px rgba(0,0,0, 0.5);
    transition: transform .3s ease-out ;           
}

.card__body i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 3em;
    color: #fff;
}

.card__body p {
    letter-spacing: 1px;
    font-size: 15px;
    margin-top: 8px;
    margin-bottom: 20px;
}

.card__body:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: #5A4894;
    z-index: 2;
    transition: 0.5s all;
    opacity: 0;
}

.card__body--active:before {
    opacity: 0.9;
}

.card__body img {
    width: 100%;
    height: 100%;
    border-radius: 10px;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
}

.content {
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 3;
    color: #fff;
    opacity: 0;
    transform: translateX(30px);
    transition: 0.5s all;
}

.card__body--active .content{
    opacity: 1;
    transform: translateX(0px);
}

.content h2{
    margin: 0;
}

.content p {
    letter-spacing: 1px;
    font-size: 15px;
    margin-top: 8px;
    margin-bottom: 20px;
}

.card__body--active .content .btn:hover {
    box-shadow: 0 0 10px black;
}

/* RESUME SECTION */

    /* RESUME SECTION LEFT SIDE */
.resume {
    padding-bottom: 6em;
}

.resume__info {
    padding-top: 0.4rem;
}

.resume__info__personal-info p {
    font-size: 14px;
    color: #C6CED5;
}

.resume__link {
    font-size: 14px;
    color: #C2C2C2 !important;
}

.resume__link:hover {
    text-decoration: underline;
}

.resume__info__social-wrap {
    background: #21262D;
    border-radius: 10px;
    box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
    background: rgba(255, 255, 255, 0.1);
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}

.resume__info__social-wrap:hover {
    transform: translateX(20px) !important;
}

.resume__education-wrap {
    border-radius: 10px;
    width: 94%;
    box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
    background: rgba(255, 255, 255, 0.1);
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}

.resume__education-container {
    width: 100%;
    height: 200px;
}

.resume__education-container p {
    font-size: 14px;
    color: #C2C2C2;
}

    /* RESUME RIGHT SIDE */

.tsIcon {
    height: 12px;
    width: 12px;
}

.reduxIcon {
    height: 12px;
    width: 12px;
}

.chart {
    font-size: 14px;
    color: #C6CED5;
    padding-bottom: 1.3em;
    position: relative;
}

.chart span {
    display: block;
    margin-bottom: 8px;
}

.progress {
    font-weight: 400;
    height: 3px !important;
    background-color: #636363 !important;
}

.percent-complete {
    position: absolute;
    right: 0;
    top: 0;
    background-color: #636363;
    border-radius: 3px;
    padding: 2px 5px;
    transition: .3s ease;
    visibility: hidden;
    opacity: 0;
    transform: translateY(10px);
}

.chart:hover .percent-complete {
    transform: translateY(-3px);
    visibility: visible;
    opacity: 1;
}

.chart-html .progress-bar {
    background-color: #02B2BD
}

.chart-css .progress-bar {
    background-color: #FD0079;
}

.chart-js .progress-bar {
    background-color: #B9BC2B;
}

.chart-ts .progress-bar {
    background-color: #3178c6;
}

.chart-redux .progress-bar {
    background-color: #764ABC;
}

.chart-react .progress-bar {
    background-color: #00A7EF;
}

.chart-node .progress-bar {
    background-color: #34A300;
}

.chart-bs .progress-bar {
    background-color: #8E00A5;
}

.chart-sass .progress-bar {
    background-color: #FD0079;
}

.chart-git .progress-bar {
    background-color: #FF5C00;
}

.chart-git {
    padding-bottom: 0.3em;
}

.skills__graph {
    padding-left: 120px;
    padding-right: 50px;
    margin-bottom: 40px;
}

.skills__languages {
    padding-right: 60px;
    height: 200px;
}

.skills__languages-wrap {
    border-radius: 10px;
    margin-right: 20px;
    margin-left: 100px;
    box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
    background: rgba(255, 255, 255, 0.1);
    border-top: 1px solid rgba(255, 255, 255, 0.5);
    border-left: 1px solid rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(5px);
}

.skills__languages-wrap:hover {
    transform: translateX(-20px) !important;
}

.skills__languages span {
    color: #c2c2c2;
}

.chart-rus .progress-bar {
    background-color: #C6CED5;
}

.chart-eng .progress-bar {
    background-color: #C6CED5;
}

/* CONTACT-MODAL SECTION */

.modal-content {
    border-radius: 10px;
    box-shadow: 20px 20px 50px rgba(0,0,0, 0.5);
    background: rgba(255,255,255,0.1);
    border-top: 1px solid rgba(255,255,255,0.5);
    border-left: 1px solid rgba(255,255,255,0.5);
    backdrop-filter: blur(5px);
}

.modal-footer {
    border: none;
}

.modal-header {
    border:none;
} 

.modal-title {
    color: #fff;
}

.contact-content {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #fff;
    display: flex;
    transition: 0.3s linear;
}

.contact-wrap {
    height: 200px;
}

.contact-icon {
    font-size: 28px;
    background: #6E40C9  ;
    width: 60px;
    height: 60px;
    text-align: center;
    line-height: 60px !important;
    border-radius: 10%;
    box-shadow: 0 0px 15px rgba(0,0,0,0.5);
    transition: 0.3s linear;
}

.contact-card:hover .contact-icon {
    background: none;
    color: #fff;
    box-shadow: none;
}

.contact-link {
    margin-top: 20px;
    font-size: 14px;
    font-weight: bold;
    letter-spacing: 2px;
    max-height: 0;
    opacity: 0;
    transition: 0.3s linear;
}

.contact-card:hover .contact-link {
    color: #fff;
    max-height: 40px;
    opacity: 1;
}

/* FOOTER SECTION */

.copyright {
    color:#fff;
    opacity: 0.3;
    text-align: end;
    margin-bottom: 0;
}

/* RESPONSE*/

@media screen and (max-width: 892px) {
    .skills__graph {
        padding-left: 0;
        padding-right: 0;
    }

    .resume__education-title {
        padding-left: 15px;
    }
    
    .skills__languages-wrap {
        margin-left: 15%;
        margin-right: 0;
    }
}

@media screen and (max-width: 768px) {
    .projects__label {
        max-width: none;
        margin-left: 0;
    }

    .skills__languages-wrap {
        margin-left: 0;
    }

    .card {
        margin-bottom: 0;
    }
}

@media screen and (max-width: 576px) {
    .contact-link {
        position: absolute;
        left:60%;
    }

    .contact-content {
        margin-bottom: 10px;
    }
    .contact-content:hover {
        transform: translateX(-50px);
    }
}

@media screen and (max-width: 419px) {
    .parallax h1 {
        font-size: 3em;
    }

    .projects__label h1{
        font-size: 40px;
    }

    .parallax h3 {
        font-size: 1em;
    }
}